## wireless-regdb 2018.05.09

=== Makefile ===
# Install prefix
PREFIX ?= /usr
CRDA_PATH ?= $(PREFIX)/lib/crda
CRDA_KEY_PATH ?= $(CRDA_PATH)/pubkeys
FIRMWARE_PATH ?= /lib/firmware

MANDIR ?= $(PREFIX)/share/man/

SHA1SUM ?= /usr/bin/sha1sum
LSB_RELEASE ?= /usr/bin/lsb_release
WHOAMI ?= /usr/bin/whoami

# Distro name: Ubuntu, Debian, Fedora, if not present you get
# "custom-distro", if your distribution does not have the LSB stuff,
# then set this variable when calling make if you don't want "custom-distro"
LSB_ID ?= $(shell if [ -f $(LSB_RELEASE) ]; then \
			$(LSB_RELEASE) -i -s; \
		else \
			echo custom-distro; \
		fi)

DISTRO_PRIVKEY ?= ~/.wireless-regdb-$(LSB_ID).key.priv.pem
DISTRO_PUBKEY ?= ~/.wireless-regdb-$(LSB_ID).key.priv.pem

REGDB_AUTHOR ?= $(shell if [ -f $(DISTRO_PRIVKEY) ]; then \
			echo $(LSB_ID) ; \
		elif [ -f $(WHOAMI) ]; then \
			$(WHOAMI); \
		else \
			echo custom-user; \
		fi)

REGDB_PRIVKEY ?= ~/.wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
REGDB_PUBKEY ?= $(REGDB_AUTHOR).key.pub.pem
REGDB_PUBCERT ?= $(REGDB_AUTHOR).x509.pem

REGDB_UPSTREAM_PUBKEY ?= sforshee.key.pub.pem

REGDB_CHANGED = $(shell $(SHA1SUM) -c --status sha1sum.txt >/dev/null 2>&1; \
        if [ $$? -ne 0 ]; then \
                echo maintainer-clean $(REGDB_PUBKEY) $(REGDB_PUBCERT); \
        fi)

.PHONY: all clean mrproper install maintainer-clean install-distro-key

all: $(REGDB_CHANGED) regulatory.bin sha1sum.txt regulatory.db.p7s

clean:
	@rm -f *.pyc *.gz

maintainer-clean: clean
	@rm -f regulatory.bin regulatory.db regulatory.db.p7s

mrproper: clean maintainer-clean
	@echo Removed public key, regulatory.bin, regulatory.db* and compressed man pages
	@rm -f $(REGDB_PUBKEY) $(REGDB_PUBCERT) .custom

regulatory.bin: db.txt $(REGDB_PRIVKEY) $(REGDB_PUBKEY)
	@echo Generating $@ digitally signed by $(REGDB_AUTHOR)...
	./db2bin.py regulatory.bin db.txt $(REGDB_PRIVKEY)

regulatory.db: db.txt db2fw.py
	@echo "Generating $@"
	./db2fw.py regulatory.db db.txt

regulatory.db.p7s: regulatory.db $(REGDB_PRIVKEY) $(REGDB_PUBCERT)
	@echo "Signing regulatory.db (by $(REGDB_AUTHOR))..."
	@openssl smime -sign \
		-signer $(REGDB_PUBCERT) \
		-inkey $(REGDB_PRIVKEY) \
		-in $< -nosmimecap -binary \
		-outform DER -out $@

sha1sum.txt: db.txt
	sha1sum $< > $@

$(REGDB_PUBKEY): $(REGDB_PRIVKEY)
	@echo "Generating public key for $(REGDB_AUTHOR)..."
	openssl rsa -in $(REGDB_PRIVKEY) -out $(REGDB_PUBKEY) -pubout -outform PEM

$(REGDB_PUBCERT): $(REGDB_PRIVKEY)
	@echo "Generating certificate for $(REGDB_AUTHOR)..."
	./gen-pubcert.sh $(REGDB_PRIVKEY) $(REGDB_PUBCERT)
	@echo $(REGDB_PUBKEY) > .custom


$(REGDB_PRIVKEY):
	@echo "Generating private key for $(REGDB_AUTHOR)..."
	openssl genrsa -out $(REGDB_PRIVKEY) 2048

ifneq ($(shell test -e $(DISTRO_PRIVKEY) && echo yes),yes)
$(DISTRO_PRIVKEY):
	@echo "Generating private key for $(LSB_ID) packager..."
	openssl genrsa -out $(DISTRO_PRIVKEY) 2048
endif

install-distro-key: maintainer-clean $(DISTRO_PRIVKEY)

%.gz: %
	gzip < $< > $@

# Users should just do:
#	sudo make install
#
# Developers should do:
#	make maintainer-clean
#	make
#	sudo make install
#
# Distributions packagers should do only once:
#	make install-distro-key
# This will create a private key for you and install it into
# ~/.wireless-regdb-$(LSB_ID).key.priv.pem
# To make new releaes just do:
#	make maintainer-clean
#	make
#	sudo make install
install: regulatory.bin.5.gz regulatory.db.5.gz
	install -m 755 -d $(DESTDIR)/$(CRDA_PATH)
	install -m 755 -d $(DESTDIR)/$(CRDA_KEY_PATH)
	install -m 755 -d $(DESTDIR)/$(FIRMWARE_PATH)
	if [ -f .custom ]; then \
		install -m 644 -t $(DESTDIR)/$(CRDA_KEY_PATH)/ $(shell cat .custom); \
	fi
	install -m 644 -t $(DESTDIR)/$(CRDA_KEY_PATH)/ $(REGDB_UPSTREAM_PUBKEY)
	install -m 644 -t $(DESTDIR)/$(CRDA_PATH)/ regulatory.bin
	install -m 644 -t $(DESTDIR)/$(FIRMWARE_PATH) regulatory.db regulatory.db.p7s
	install -m 755 -d $(DESTDIR)/$(MANDIR)/man5/
	install -m 644 -t $(DESTDIR)/$(MANDIR)/man5/ regulatory.bin.5.gz regulatory.db.5.gz

## wireless-regdb 2011.04.28

=== debian/changelog ===
wireless-regdb (2011.04.28-1ubuntu1) oneiric; urgency=low

  * debian/rules: (LP: #831364)
    - replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create our
      own private key for signing the regulatory data.
    - explicitly override dh_auto_build to make a new private key. 
    - don't remove pubkeys, to make sure the key can be verified.
  * debian/patches/dont_auto_create_keypair: drop the tilde from the key path,
    since it isn't guaranteed to work on buildds.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Sep 2011 11:10:26 -0400

wireless-regdb (2011.04.28-1) unstable; urgency=low

  * New upstream version (Closes: #626816)
    - Update regulatory rules for Netherlands (NL)
    - web/Regulatory.py is now under the ISC licence

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 May 2011 02:40:08 +0100

wireless-regdb (2010.11.24-2) unstable; urgency=low

  * debian/copyright: Correct licence of web/Regulatory.py
  * debian/control: Add references to git repository

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 12 Apr 2011 00:15:21 +0100

wireless-regdb (2010.11.24-1) unstable; urgency=low

  * Initial release (Closes: #572220)
    - Most packaging was done by Kel Modderman and Stefan Lippers-Hollmann

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Apr 2011 14:09:21 +0100

=== debian/control ===
Source: wireless-regdb
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 8),
 openssl,
 python,
 python-m2crypto
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/kernel/wireless-regdb.git
Vcs-Browser: http://git.debian.org/?p=kernel/wireless-regdb.git
Homepage: http://wireless.kernel.org/en/developers/Regulatory/#Theregulatorydatabase

Package: wireless-regdb
Architecture: all
Depends: ${misc:Depends}
Suggests: crda
Description: wireless regulatory database
 This package contains the wireless regulatory database used by the Central
 Regulatory Database Agent (CRDA) to configure wireless devices to operate
 within the radio spectrum allowed in the local jurisdiction.
 .
 This regulatory information is provided with no warranty either expressed or
 implied. Only Linux drivers which use cfg80211 framework can make use of the
 regulatory database and CRDA.

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export REGDB_AUTHOR  = ubuntu-devel-discuss@lists.ubuntu.com
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

%:
	dh ${@}

override_dh_auto_build:
	make .wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
	dh_auto_build

override_dh_install:
	make DESTDIR=debian/wireless-regdb install

override_dh_auto_clean:
	dh_auto_clean -- mrproper
	rm -f sha1sum.txt

## wireless-regdb 2013.02.13

=== debian/changelog ===
wireless-regdb (2013.02.13-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jul 2013 13:01:55 +0100

wireless-regdb (2013.02.13-1) unstable; urgency=low

  * New upstream version
    - Add master DFS region information
    - Add regulations for Rwanda (RW)
    - Enable HT40 on channels 8-13 in Japan (JP)
    - Update regulations for Ukraine (UA)
    - Remove wrong 10 MHz rule for Japan (JP)
    - Add regulatory rules for US, China (CN) and ETSI members on 60 GHz band
    - Update regulatory rules for Spain (ES) on 5 GHz and 2.4 GHz
    - Allow 40 MHz on world roaming channels 12/13
    - Add specific data for Serbia (RS) for the 2.4 GHz and 5 GHz bands
  * debian/control: Set Multi-Arch: foreign, thanks to Tim Gardner
  * debian/watch: Point to new download location on kernel.org
    - Switch to xz-compressed tarballs
  * debian/control: Update fragment in Homepage URL (Closes: #655029)
  * Update policy version to 3.9.4
    - debian/copyright: Update to 1.0 format (no changes required)
  * debian/copyright: Remove unreferenced GPL-2 text
  * debian/copyright: Add my copyright to Debian packaging

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Jun 2013 20:27:44 +0100

wireless-regdb (2011.04.28-1ubuntu3) precise; urgency=low

  * Don't install /lib/crda/pubkeys/linville.key.pub.pem; this conflicts
    with crda.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 20:05:57 +0000

wireless-regdb (2011.04.28-1ubuntu2) precise; urgency=low

  * Make wireless-regdb Multi-Arch: foreign

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Nov 2011 10:51:52 -0700

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 override_dh_install:
 	make DESTDIR=debian/wireless-regdb install
+# crda will install public keys
+	rm -f debian/wireless-regdb/lib/crda/pubkeys/linville.key.pub.pem
 
 override_dh_auto_clean:
 	dh_auto_clean -- mrproper

## wireless-regdb 2014.11.18

=== debian/changelog ===
wireless-regdb (2014.11.18-1~deb7u1) wheezy; urgency=medium

  * Upload to wheezy
  * Update the backward-compatible 'EU' regulatory domain based on
    upstream changes for ETSI members

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 02 Jan 2015 00:28:06 +0000

wireless-regdb (2014.11.18-1) unstable; urgency=medium

  * New upstream version
    - Update world regulatory domain: re-enable VHT80 on channel 42
      (5210 MHz) (regression in 2014.05.19); enable VHT80 on channel 58
      (5290 MHz) and VHT160 on channel 50 (5250 MHz) (requires Linux 3.15)
    - Enable VHT160 on channel 50 (5250 MHz) for many countries
      (requires Linux 3.15)
    - Update rules for Bulgaria (BG): add channels 100..140 (5490-5710 MHz)
    - Add rules for American Samoa (AS), Bermuda (BM), The Bahamas (BS),
      Christmas Island (CX), Ethiopia (ET), French Guiana (GF),
      Guadeloupe (GP), Cayman Islands (KY), Mongolia (MN),
      Northern Mariana Islands (MP), Martinique (MQ), Mauritius (MU),
      Malawi (MW), Nicaragua (NI), French Polynesia (PF), Paraguay (PY),
      Reunion (RE), Suriname (SR), Uganda (UG), U.S. Virgin Islands (VI)
      and Mayotte (YT)
    - Update rules for countries using ETSI regulations in 60 GHz band:
      increase frequency range to 57-66 GHz and remove NO-OUTDOOR flag
  * debian/copyright: Update upstream maintainer and git repository
    addresses

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 01 Jan 2015 23:51:50 +0000

wireless-regdb (2014.10.07-1~deb7u1) wheezy; urgency=medium

  * Upload to wheezy

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 29 Dec 2014 23:00:00 +0100

wireless-regdb (2014.10.07-1) unstable; urgency=medium

  * New upstream version
    - Update rules for Spain (ES): increase max EIRP in one frequency range
    - Add rules for Anguilla (AI), Dominica (DM), Saint Kitts and Nevis (KN),
      Saint Lucia (LC), Lesotho (LS), Marshall Islands (MH), Moldova (MD),
      Saint Pierre and Miquelon (PM), Turks and Caicos Islands (TC),
      Saint Vincent and the Grenadines (VC), and Wallis and Futuna (WF)
    - Update rules for Saint Barthélemy (BL): increase frequency range and
      max EIRP on 5 GHz band; assign to ETSI DFS region
    - Update rules for Bolivia (BO): reduce max EIRP in 2.4 GHz band;
      increase frequency range in 5 GHz band
    - Update rules for Andorra (AD): add 2.4 GHz and 5 GHz bands
    - Update rules for Republic of Korea (KR): add channel 165 (5825 MHz)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 12 Oct 2014 01:19:26 +0100

wireless-regdb (2014.06.13-1~deb7u1) wheezy; urgency=medium

  * Upload to wheezy

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 12 Oct 2014 01:13:13 +0100

wireless-regdb (2014.06.13-1) unstable; urgency=medium

  * New upstream version
    - Correct removal of NO-OFDM and DFS flags from some rules
      (regression in 2013.11.27)
    - Add channels 52..64 and 100..144 in 5 GHz band to world regulatory
      domain
    - Update rules for Norway (NO): increase frequency range on 5 GHz band
      and add 17 GHz band
    - Update rules for Uzbekistan (UZ)
    - Add rules for Afghanistan (AF), Burkina Faso (BF), Bhutan (BT),
      Central African Republic (CF), Côte d'Ivoire (CI), Micronesia (FM),
      Ghana (GH), Guyana (GY), Montenegro (ME), Mauritania (MR), Palau (PW),
      Senegal (SN), Chad (TD), Togo (TG) and Vanuatu (VU)
    - Update rules for Venezuela (VE): increase max EIRP in some frequency
      ranges
    - Update rules for Haiti (HT)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Oct 2014 23:52:43 +0100

wireless-regdb (2013.11.27-0wheezy1) wheezy; urgency=medium

  * Upload to wheezy (Closes: #743049)
  * Restore the backward-compatible 'EU' regulatory domain

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Mar 2014 15:44:48 +0100

wireless-regdb (2013.11.27-1) unstable; urgency=medium

  * New upstream version (Closes: #729089)
    - Enable VHT80 for many countries where it is permitted
    - Enable 5 GHz band for Albania (AL), Bangladesh (BD), Algeria (DZ),
      Indonesia (ID), Morocco (MA), Zimbabwe (ZW)
    - Enable HT40 in 5 GHz band for Russian Federation (RU)
    - Enable VHT80 for world roaming
    - Remove obsolete country code CS (Serbia and Montenegro)
    - Add 60 GHz band channels 1-3 for world roaming
    - Remove antenna gain
    - Add many countries to DFS regions
    - Increase frequency range on 5 GHz for many countries
    - Increase max EIRP on 2.4 GHz for Canada (CA), Dominican Republic (DO),
      Grenada (GD), Guatemala (GT), Guam (GU), Panama (PA), Puerto Rico (PR),
      Taiwan (TW), United States (US) and Uzbekistan (UZ)
    - Increase max EIRP on part or all of 5 GHz band for Grenada (GD),
      Honduras (HN), Jamaica (JM), Sri Lanka (LK), Monaco (MC), Mexico (MX),
      Papua New Guinea (PG), Trinidad and Tobago (TT), Uruguay (UY),
      Uzbekistan (UZ) and Venezuela (VE)
    - Enable HT40 in 2.4 GHz band for Republic of Korea (KR)
    - Reduce max EIRP on 5 GHz for Bulgaria (BG), Brunei Darussalam (BN)
    - Reduce 5 GHz band for Bulgaria (BG), Oman (OM)
    - Remove middle of 5 GHz band for United States (US)
    - Correct max EIRP and reduce 5 GHz band for Saudi Arabia (SA),
      South Africa (ZA)
    - Reduce max EIRP and increase frequency range on 2.4 GHz for
      Colombia (CO) and Mexico (MX)
    - Correct max EIRP and frequency range on 5 GHz for Kenya (KE)
  * Remove the backward-compatible 'EU' regulatory domain; drivers
    should all be generating specific country codes, and the domain
    is no longer up-to-date with ETSI regulations
  * Set both PASSIVE_SCAN and NO_IBSS flags in binary database

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 24 Feb 2014 22:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 8),
  openssl,
  python,
  python-m2crypto
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/kernel/wireless-regdb.git
 Vcs-Browser: http://git.debian.org/?p=kernel/wireless-regdb.git
-Homepage: http://wireless.kernel.org/en/developers/Regulatory/#Theregulatorydatabase
+Homepage: http://wireless.kernel.org/en/developers/Regulatory/#The_regulatory_database
 
 Package: wireless-regdb
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: crda
 Description: wireless regulatory database

## wireless-regdb 2015.07.20

=== debian/changelog ===
wireless-regdb (2015.07.20-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 05 Nov 2015 19:51:09 +0000

wireless-regdb (2015.07.20-1) unstable; urgency=medium

  * New upstream version
    - Update rules for Armenia (AM), Bahrain (BH), Costa Rica (CR),
      Ecuador (EC), Guam (GU), Sri Lanka (LK), El Salvador (SV): disable VHT
      in 5 GHz band
    - Update rules for Australia (AU), New Zealand (NZ): assign to ETSI DFS
      region
    - Update rules for Bulgaria (BG): add channels 147..173 (5725-5875 MHz)
    - Update rules for Canada (CA): remove channels 120..134 (5600-5650 MHz)
    - Update rules for Egypt (EG): disable VHT80
    - Update rules for Indonesia (ID), Democratic People's Republic of Korea
      (KP): disable VHT
    - Update rules for Japan (JP): add 60 GHz band
    - Update rules for Macao (MO): assign to ETSI FCC region; add channels
      100..144 (5490-5730 MHz); enable VHT80 and VHT160 in 5 GHz band
    - Add rules for Maldives (MV), Nigeria (NG), Tanzania (TZ) and Samoa (WS)
    - Update rules for Russia (RU): disable VHT80; add 60 GHz band
    - Update rules for United States (US): re-add channels 100..144
      (5490-5730 MHz)
  * Generate a detached signature at source preparation time and append
    it when building the binary package (thanks to Jérémy Bobbio)
    (Closes: #725803)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Aug 2015 10:20:04 +0100

wireless-regdb (2014.11.18-1ubuntu1) wily; urgency=medium

  * Resynchronise with Debian. LP: #1284093
    Remaining changes:
    - Replace REGDB_AUTHOR with the ubuntu-devel-discuss@ list, to create
      our own private key for signing the regulatory data.
    - Explicitly override dh_auto_build to make a new private key. 
    - Don't remove pubkeys, to make sure the key can be verified; but still
      remove /lib/crda/pubkeys/linville.key.pub.pem since that conflicts
      with crda.
    - debian/patches/dont_auto_create_keypair: Drop the tilde from the key
      path, since it isn't guaranteed to work on buildds.

 -- Ryan Finnie <ryan.finnie@canonical.com>  Mon, 13 Apr 2015 19:56:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 8),
  openssl,
  python,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 	make .wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
 	dh_auto_build
 
+override_dh_auto_configure:
+	cp debian/regulatory.bin.sig .
+
 override_dh_install:
 	make DESTDIR=debian/wireless-regdb install
 # crda will install public keys
@@ -20,4 +23,11 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -- mrproper
-	rm -f sha1sum.txt
+	rm -f regulatory.bin.sig sha1sum.txt
+
+sign: debian/regulatory.bin.sig
+	@:
+debian/regulatory.bin.sig: db.txt
+	make regulatory.bin.sig
+	cp regulatory.bin.sig debian/
+	rm -f .wireless-regdb-$(REGDB_AUTHOR).key.priv.pem

## wireless-regdb 2016.06.10

=== debian/changelog ===
wireless-regdb (2016.06.10-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control:
    - bump Standards-Version to 3.9.8.
    - update debhelper Build-Depends to (>= 9).
  * debian/compat: bump to compat level 9.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 17:56:03 -0600

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  openssl,
  python,
  python-m2crypto
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Vcs-Git: git://git.debian.org/kernel/wireless-regdb.git
 Vcs-Browser: http://git.debian.org/?p=kernel/wireless-regdb.git
 Homepage: http://wireless.kernel.org/en/developers/Regulatory/#The_regulatory_database

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	make DESTDIR=debian/wireless-regdb install
 # crda will install public keys
 	rm -f debian/wireless-regdb/lib/crda/pubkeys/linville.key.pub.pem
+	rm -f debian/wireless-regdb/lib/crda/pubkeys/sforshee.key.pub.pem
 
 override_dh_auto_clean:
 	dh_auto_clean -- mrproper

## wireless-regdb 2018.05.09

=== debian/changelog ===
wireless-regdb (2018.05.09-0ubuntu1) cosmic; urgency=medium

  * New upstream release. (LP: #1769980)
  * debian/patches:
    - Drop existing patches.
    - 0001-wireless-regdb-Fix-comparison-of-WmmRule-with-NoneTy.patch,
      0002-wireless-regdb-Fix-iteration-in-create_wmms-for-pyth.patch: Fix
      errors when building regdb with python 3.
  * debian/rules: Change to no longer build from source; use upstream
    binaries instead.
  * debian/control: Update Build-Depends and maintainer information

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 18 May 2018 12:07:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,9 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 9),
- openssl,
- python,
- python-m2crypto
+Maintainer: Seth Forshee <seth.forshee@canonical.com>
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
-Vcs-Git: git://git.debian.org/kernel/wireless-regdb.git
-Vcs-Browser: http://git.debian.org/?p=kernel/wireless-regdb.git
 Homepage: http://wireless.kernel.org/en/developers/Regulatory/#The_regulatory_database
 
 Package: wireless-regdb

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

%:
	dh ${@}

override_dh_auto_build: ;

override_dh_install:
	make DESTDIR=debian/wireless-regdb install
# crda will install public keys
	rm -f debian/wireless-regdb/lib/crda/pubkeys/linville.key.pub.pem
	rm -f debian/wireless-regdb/lib/crda/pubkeys/sforshee.key.pub.pem

## wireless-regdb 2018.10.24

=== debian/changelog ===
wireless-regdb (2018.10.24-0.1~mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15.
  * Drop patches, fixed in this release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Jan 2019 16:25:01 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Seth Forshee <seth.forshee@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Seth Forshee <seth.forshee@canonical.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
 Homepage: http://wireless.kernel.org/en/developers/Regulatory/#The_regulatory_database

## wireless-regdb 2019.06.03

=== debian/changelog ===
wireless-regdb (2019.06.03-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 31 Mar 2020 13:50:49 -0700

wireless-regdb (2019.06.03-1) unstable; urgency=medium

  * New upstream version (Closes: #949553):
    - Install regulatory.db and regulatory.db.p7s to /lib/firmware
      (Closes: #892229)
    - Update rules for Australia (AU), Canada (CA), Switzerland (CH),
      Germany (DE), Denmark (DK), Spain (ES), Finland (FI), France (FR),
      Hungary (HU), India (IN), Japan (JP), Republic of Korea (KR),
      Kazakhstan (KZ), Lithuania (LI), Panama (PA), Portugal (PT),
      Qatar (QA), Sweden (SE), Singapore (SG), Turkey (TR), Taiwan (TW),
      and United States (US)
    - Add ETSI WMM rules and apply them to various territories
    - Make scripts compatible with Python 3
  * debian/control: Point Vcs URLs to Salsa
  * Drop "Set both PASSIVE_SCAN and NO_IBSS flags in binary database",
    only needed for compatibility with wheezy
  * debian/rules: Use $(MAKE) for recursive make
  * debian/patches: Refresh and update for Python 3 compatibility
  * Run scripts with Python 3 (Closes: #938829)
  * Expect Debian regulatory.db detached signature in source package
  * debian/rules: Build under debian/build to avoid overwriting shipped
    binaries
  * debian/rules: Only build regulatory.{bin,db} during binary build
  * debian/rules: Update exclusion of custom public keys from the package
  * debian/rules: Verify that our binaries match upstream unless db.txt is
    patched
  * Install upstream and Debian versions of regulatory.db as alternatives
  * debian/contol: Rewrite package description
  * debian/copyright: Use https: scheme in Format
  * Add upstream public key and enable signature checking in debian/watch
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Update Standards-Version to 4.4.1
  * lintian: Override orig-tarball-missing-upstream-signature warning as
    this is blocked by bug #882694
  * Add and use a static certificate for my signing key
  * debian/README.source: Introduce a shell variable for author ID
  * debian/README.source: Update to cover the certificate

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Jan 2020 20:47:17 +0100

wireless-regdb (2016.06.10-1) unstable; urgency=medium

  * New upstream version (Closes: #830288)
    - Update rules for Hong Kong (HK): assign to ETSI DFS region
    - Update rules for South Africa (ZA): remove DFS requirement and increase
      transmit power limit for channels 100..140 (5490-5710 MHz)
    - Update rules for Taiwan (TW): extend the 2.4 GHz and 5 GHz bands; change
      transmit power limits for parts of the 5 GHz band; re-assign to FCC DFS
      region
    - Update rules for United States (US): increase transmit power limit for
      channels 36..48 (5170-5250 MHz)
    - Update rules for Uruguay (UY): remove channels 100..144 (5490-5730 MHz)
    - Update rules for Russia (RU): enable VHT80 in 5 GHz band and VHT160
      for channel 50 (5170-5330 MHz)
    - Update rules for Ukraine (UA): enable VHT80 in 5 GHz band and VHT160
      for channels 46..54 (5150-5350 MHz) and 114..118 (5490-5670 MHz)
    - Update rules for Malaysia (MY): change transmit power limit for the
      5 GHz band; enable VHT80 in 5 GHz band and VHT160 for channels 50
      (5170-5330 MHz) and 114 (5490-5650 MHz)
    - Update rules for Greenland (GL): enable VHT160 for channels 50
      (5170-5330 MHz) and 114..126 (5490-5710 MHz)
    - Update rules for Croatia (HR) and Finland (FI): extend the 2.4 GHz and
      5 GHz bands; increase transmit power limit for channels 34..48
      (5150-5250 MHz); add NO-OUTDOOR flag for channels 34..64 (5150-5350 MHz)
    - Fix world regulatory domain: correct the channel width for channels
      12..13 (2457-2482 MHz)
    - Add rules for Cuba (CU)
    - Update rules for Germany (DE) and Netherlands (NL): add channels
      147..165 (5725-5875 MHz)
    - Update rules for Bulgaria (BG): increase transmit power limit for
      channels 36..48 (5170-5250 MHz); add NO-OUTDOOR flag for 60 GHz band
    - Update rules for Republic of Korea (KR): add 60 GHz band
  * debian/control: Change Vcs-Git and Vcs-Browser to canonical HTTP-S URLs
  * debian/copyright: Change Source to HTTP-S URL
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * Remove obsolete postinst script
  * debian/control: Update Homepage

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 04 Dec 2016 23:47:35 +0000

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export REGDB_AUTHOR  = benh@debian.org
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

define copy_source
test -d .pc
set +e; QUILT_PC=.pc quilt unapplied --quiltrc - >/dev/null && echo 'Patch series not fully applied'; test $$? -eq 1
mkdir -p '$(1)'
cp -a $(filter-out debian .pc .git %.bin %.db %.p7s sha1sum.txt, $(wildcard * .[^.]*)) '$(1)'
endef

%:
	dh ${@}

debian/stamps/configure:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/regulatory.bin.sig debian/regulatory.db.p7s debian/build/
	mkdir -p debian/stamps
	touch $@

override_dh_auto_configure: debian/stamps/configure

override_dh_auto_build:
	$(MAKE) -C debian/build regulatory.bin regulatory.db
# crda will install public keys
	rm -f debian/build/.custom
# Verify that our binaries match upstream unless db.txt is patched
ifeq ($(shell QUILT_PC=.pc quilt patches --quiltrc - db.txt | wc -l),0)
	diff regulatory.db debian/build/regulatory.db
	size="$$(dd if=regulatory.bin status=none bs=4 skip=2 count=1 | od -td4 --endian=big -An | sed 's/^\s*//')" \
	&& dd if=regulatory.bin status=none iflag=skip_bytes,count_bytes skip=12 count=$$size of=debian/build/regulatory.bin.unsigned-upstream \
	&& dd if=debian/build/regulatory.bin status=none iflag=skip_bytes,count_bytes skip=12 count=$$size of=debian/build/regulatory.bin.unsigned \
	&& diff debian/build/regulatory.bin.unsigned-upstream debian/build/regulatory.bin.unsigned
endif

override_dh_auto_install: DIR = debian/wireless-regdb
override_dh_auto_install:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	for file in regulatory.db regulatory.db.p7s; do \
		install -m644 $$file $(DIR)/lib/firmware/$$file-upstream \
		&& mv $(DIR)/lib/firmware/$$file $(DIR)/lib/firmware/$$file-debian \
		|| exit; \
	done
# crda will install public keys
	rm -r debian/wireless-regdb/lib/crda/pubkeys

override_dh_auto_clean:
	rm -rf debian/build debian/stamps

sign:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/certs/$(REGDB_AUTHOR).x509.pem debian/build/
	$(MAKE) -C debian/build regulatory.bin.sig regulatory.db.p7s
	cp debian/build/regulatory.bin.sig debian/build/regulatory.db.p7s debian/

## wireless-regdb 2020.04.29

=== debian/changelog ===
wireless-regdb (2020.04.29-2~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 31 Aug 2020 01:01:37 +0900

wireless-regdb (2020.04.29-2) unstable; urgency=medium

  * Re-upload without binary packages (SourceOnlyUpload)

 -- Romain Perier <romain.perier@gmail.com>  Tue, 30 Jun 2020 19:34:44 +0200

wireless-regdb (2020.04.29-1) unstable; urgency=medium

  [ Romain Perier ]
  * New upstream version:
    - GB: Extend to cover DMG channels 5 & 6
    - Update regulatory rules for Russia (RU), Indonesia (ID), Singapore (SG),
      United States (US) on 2.4/5G.
    - Harmonize ranges of CEPT countries (stand of July 2019)
    - Fix ranges of EU countries as they are harmonized since 2014
    - Extend 5470-5725 MHz range to 5730 MHz for Taiwan (TW)
    - Fix overlapping ranges for Switzerland and Liechtenstein
  * Rebased enable_recording_and_using_an_external_signature.patch onto
    2020.04.29
  * Rebased run-scripts-with-python-3.patch onto 2020.04.29
  * debian/gbp.conf: Rename old style config section

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for wireless-regdb-udeb.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Priority on wireless-regdb-udeb that duplicates source.

 -- Romain Perier <romain.perier@gmail.com>  Sun, 24 May 2020 13:15:10 +0200

wireless-regdb (2019.06.03-3) unstable; urgency=medium

  * Re-upload without self-built binary packages

 -- Ben Hutchings <benh@debian.org>  Sun, 12 Apr 2020 19:28:35 +0100

wireless-regdb (2019.06.03-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add wireless-regdb-udeb package for use in the installer
  * debian/control: Use my debian.org email in Maintainers field
  * debian/control: Change to team-maintained, with me and Romain as
    Uploaders
  * debian/README.source: Update instructions for setting REGDB_AUTHOR

  [ Romain Perier ]
  * debian/certs: Add my certificate
  * debian/rules: Get REGDB_AUTHOR by using dpkg-parsechangelog

 -- Ben Hutchings <benh@debian.org>  Tue, 31 Mar 2020 20:39:33 +0100

wireless-regdb (2019.06.03-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports; no changes required

 -- Ben Hutchings <benh@debian.org>  Tue, 31 Mar 2020 20:50:33 +0100

## wireless-regdb 2020.11.20

=== debian/changelog ===
wireless-regdb (2020.11.20-0ubuntu1~20.10.1) groovy; urgency=medium

  * Backport to groovy (LP: #1906404)

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 01 Dec 2020 08:09:13 -0600

wireless-regdb (2020.11.20-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop patches which are now upstream.
    - Add run-scripts-with-python-3.patch to update python interpreter name.
  * debian/rules: Build database binaries and compare to upstream binaries,
    modulo signatures, and fail the build if they do not match. Continue
    shipping upstream binaries to keep the upstream signatures.
  * debian/control:
    - Update to compat level 13.
    - Update Build-Depends needed to build binaries.
    - Set Rules-Requires-Root: no
    - Update standards version to 4.5.0, no changes needed.
    - Update Homepage.
  * Remove obsolete postinst file.

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 30 Nov 2020 18:32:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Seth Forshee <seth.forshee@canonical.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Homepage: http://wireless.kernel.org/en/developers/Regulatory/#The_regulatory_database
+Maintainer: Seth Forshee <seth.forshee@canonical.com>
+Build-Depends: debhelper-compat (= 13),
+ openssl,
+ python3,
+ python3-m2crypto,
+ quilt
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb
 
 Package: wireless-regdb
 Architecture: all

## wireless-regdb 2021.08.28

=== debian/changelog ===
wireless-regdb (2021.08.28-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 12 Oct 2021 15:49:31 -0400

wireless-regdb (2021.08.28-1) unstable; urgency=medium

  * New upstream version (Closes: #986208):
    - Update regulatory rules for Egypt (EG), Croatia (HR), Pakistan (PK)
      on 5GHz, Great Britain (GB), Kazakhstan (KZ), Ukraine (UA), Cuba (CU)
      on 5Ghz, Germany (DE) on 6GHz, Norway (NO) on 6 and 60 GHz, Ecuador (EC)
    - US: restore channel 12 & 13 limitation
    - US: remove PTMP-ONLY from 5850-5895 MHz
    - US: reduce bandwidth for 5730-5850 and 5850-5895 MHz
    - ES: Update CNAF regulation url

 -- Romain Perier <romain.perier@gmail.com>  Fri, 17 Sep 2021 18:30:37 +0200

=== debian/control ===
Source: wireless-regdb
Section: net
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper-compat (= 12),
 openssl,
 python3,
 python3-m2crypto,
 quilt
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/kernel-team/wireless-regdb.git
Vcs-Browser: https://salsa.debian.org/kernel-team/wireless-regdb
Homepage: https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb

Package: wireless-regdb
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: crda
Description: wireless regulatory database for Linux
 This package provides a machine-readable database of legal
 regulations on radio emissions that affect use of wireless networking.
 The Linux kernel and drivers use this to maintain compliance with
 those regulations.

Package: wireless-regdb-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Description: wireless regulatory database for Linux - udeb
 This package provides a machine-readable database of legal
 regulations on radio emissions that affect use of wireless networking.
 The Linux kernel and drivers use this to maintain compliance with
 those regulations.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export CRDA_PATH     = /lib/crda
-export REGDB_AUTHOR  = benh@debian.org
+export REGDB_AUTHOR  = $(shell dpkg-parsechangelog -SMaintainer | sed 's:.*<\(.*\)>:\1:')
 export V             = 1
 # prevent the build system from calling lsb_release
 export LSB_ID        = Debian/Ubuntu
@@ -15,6 +15,9 @@
 
 %:
 	dh ${@}
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 debian/stamps/configure:
 	rm -rf debian/build
@@ -38,8 +41,10 @@
 	&& diff debian/build/regulatory.bin.unsigned-upstream debian/build/regulatory.bin.unsigned
 endif
 
-override_dh_auto_install: DIR = debian/wireless-regdb
-override_dh_auto_install:
+override_dh_auto_install: install-wireless-regdb install-wireless-regdb-udeb
+
+install-wireless-regdb: DIR = debian/wireless-regdb
+install-wireless-regdb:
 	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
 	for file in regulatory.db regulatory.db.p7s; do \
 		install -m644 $$file $(DIR)/lib/firmware/$$file-upstream \
@@ -47,7 +52,13 @@
 		|| exit; \
 	done
 # crda will install public keys
-	rm -r debian/wireless-regdb/lib/crda/pubkeys
+	rm -r $(DIR)/lib/crda/pubkeys
+
+install-wireless-regdb-udeb: DIR = debian/wireless-regdb-udeb
+install-wireless-regdb-udeb:
+	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
+	rm -r $(DIR)/lib/crda $(DIR)/usr/share/man
+	rmdir --ignore-fail-on-non-empty -p $(DIR)/usr/share
 
 override_dh_auto_clean:
 	rm -rf debian/build debian/stamps

## wireless-regdb 2022.04.08

=== debian/changelog ===
wireless-regdb (2022.04.08-2~deb11u1) bullseye; urgency=medium

  * Backport to bullseye:
    - Revert "Remove support for loading through crda"
    - Add my signature for regulatory.bin
    - d/salsa-ci.yml: Set RELEASE to bullseye
  * d/tests/check-signatures: Fix typo in openssl command line

 -- Ben Hutchings <benh@debian.org>  Thu, 30 Jun 2022 01:13:22 +0200

wireless-regdb (2022.04.08-2) unstable; urgency=medium

  * debian/tests: Add check that regulatory.db signatures are valid
  * d/wireless-regdb.postinst: Remove regular files installed by d-i
    (Closes: #1012601)

 -- Ben Hutchings <benh@debian.org>  Thu, 30 Jun 2022 00:01:25 +0200

wireless-regdb (2022.04.08-1) unstable; urgency=medium

  * New upstream version:
    - Raise DFS TX power limit to 250 mW (24 dBm) for the US
    - Update regulatory rules for Croatia (HR) on 6GHz
    - Update regulatory rules for France (FR) on 6 and 60 GHz
    - add support for US S1G channels
    - add 802.11ah bands to world regulatory domain
    - Update regulatory rules for Spain (ES) on 6GHz
    - Update regulatory rules for South Korea (KR)
    - Update regulatory rules for China (CN) (Closes: #1006127)
    - Update regulatory rules for the Netherlands (NL) on 6GHz
    - Update regulatory rules for Israel (IL)
    - Update regulatory rules for Australia (AU)
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Remove support for loading through crda (Closes: #973551, #1004347)
  * d/.gitignore: Ignore another debhelper temporary file

 -- Ben Hutchings <benh@debian.org>  Sat, 04 Jun 2022 23:59:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 
 %:
 	dh ${@}
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 debian/stamps/configure:
 	rm -rf debian/build

## wireless-regdb 2022.06.06

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 $(REGDB_PUBCERT): $(REGDB_PRIVKEY)
 	@echo "Generating certificate for $(REGDB_AUTHOR)..."
-	./gen-pubcert.sh $(REGDB_PRIVKEY) $(REGDB_PUBCERT)
+	./gen-pubcert.sh $(REGDB_PRIVKEY) $(REGDB_PUBCERT) $(REGDB_AUTHOR)
 	@echo $(REGDB_PUBKEY) > .custom

=== debian/changelog ===
wireless-regdb (2022.06.06-1) unstable; urgency=medium

  * New upstream version:
    - Add rules for the 6 GHz band for Canada (CA), United Kingdom (GB),
      United States (US)
    - Remove AUTO-BW from 6 GHz rules
    - Unify 6 GHz rules for EU countries
  * d/tests/check-signatures: Fix typo in openssl command line
  * lintian: Fix override pattern for orig-tarball-missing-upstream-signature

 -- Ben Hutchings <benh@debian.org>  Sat, 30 Jul 2022 22:10:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: crda
 Description: wireless regulatory database for Linux
  This package provides a machine-readable database of legal
  regulations on radio emissions that affect use of wireless networking.

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export REGDB_AUTHOR  = $(shell dpkg-parsechangelog -SMaintainer | sed 's:.*<\(.*\)>:\1:')
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

define copy_source
test -d .pc
set +e; QUILT_PC=.pc quilt unapplied --quiltrc - >/dev/null && echo 'Patch series not fully applied'; test $$? -eq 1
mkdir -p '$(1)'
cp -a $(filter-out debian .pc .git %.bin %.db %.p7s sha1sum.txt, $(wildcard * .[^.]*)) '$(1)'
endef

%:
	dh ${@}

debian/stamps/configure:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/regulatory.db.p7s debian/build/
	mkdir -p debian/stamps
	touch $@

override_dh_auto_configure: debian/stamps/configure

override_dh_auto_build:
	$(MAKE) -C debian/build regulatory.db
# Create regulatory.bin so the upstream install rule works
	touch debian/build/regulatory.bin
	rm -f debian/build/.custom
# Verify that our binary matches upstream unless db.txt is patched
ifeq ($(shell QUILT_PC=.pc quilt patches --quiltrc - db.txt | wc -l),0)
	diff regulatory.db debian/build/regulatory.db
endif

override_dh_auto_install: install-wireless-regdb install-wireless-regdb-udeb

install-wireless-regdb: DIR = debian/wireless-regdb
install-wireless-regdb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	for file in regulatory.db regulatory.db.p7s; do \
		install -m644 $$file $(DIR)/lib/firmware/$$file-upstream \
		&& mv $(DIR)/lib/firmware/$$file $(DIR)/lib/firmware/$$file-debian \
		|| exit; \
	done
	rm -r $(DIR)/lib/crda
# regulatory.db.5 just includes regulatory.bin.5, so we need to
# install the latter as regulatory.db.5
	mv $(DIR)/usr/share/man/man5/regulatory.bin.5.gz \
		$(DIR)/usr/share/man/man5/regulatory.db.5.gz

install-wireless-regdb-udeb: DIR = debian/wireless-regdb-udeb
install-wireless-regdb-udeb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	rm -r $(DIR)/lib/crda $(DIR)/usr/share/man
	rmdir --ignore-fail-on-non-empty -p $(DIR)/usr/share

override_dh_auto_clean:
	rm -rf debian/build debian/stamps

sign:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/certs/$(REGDB_AUTHOR).x509.pem debian/build/
	$(MAKE) -C debian/build regulatory.db.p7s
	cp debian/build/regulatory.db.p7s debian/

## wireless-regdb 2022.06.06-1%2B11.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 			echo custom-user; \
 		fi)
 
-REGDB_PRIVKEY ?= ~/.wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
+REGDB_PRIVKEY ?= $(HOME)/.wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
 REGDB_PUBKEY ?= $(REGDB_AUTHOR).key.pub.pem
 REGDB_PUBCERT ?= $(REGDB_AUTHOR).x509.pem
 
@@ -85,8 +85,15 @@
 
 
 $(REGDB_PRIVKEY):
+ifeq ($(MAKECMDGOALS),$(REGDB_PRIVKEY))
 	@echo "Generating private key for $(REGDB_AUTHOR)..."
 	openssl genrsa -out $(REGDB_PRIVKEY) 2048
+else
+	@echo "No private key found. To generate a private key, run:"
+	@echo "    make ~/.wireless-regdb-<author-id>.key.priv.pem"
+	@echo "Your author-id is currently \"$(REGDB_AUTHOR)\"; set REGDB_AUTHOR to override this."
+	@exit 1
+endif
 
 ifneq ($(shell test -e $(DISTRO_PRIVKEY) && echo yes),yes)
 $(DISTRO_PRIVKEY):

=== debian/changelog ===
wireless-regdb (2022.06.06-1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 21 Oct 2022 17:54:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,

## wireless-regdb 2024.05.08

=== debian/changelog ===
wireless-regdb (2024.05.08-1) unstable; urgency=medium

  * New upstream version:
    - add 5 GHz rules for GY
    - update 5 GHz rules for PK and add 60 GHz rule
    - Update regulatory rules for Brazil (BR)
    - update regulatory rules for Switzerland (CH)
    - Update regulatory rules for Japan (JP) on 5GHz
    - Update regulatory rules for Japan (JP) on 6GHz
    - Update regulatory info for Russia (RU) on 5GHz
    - Update regulatory info for Russia (RU) on 6GHz
    - Update regulatory rules for Russia (RU). Remove DFS requirement.
    - update regulatory rules for India (IN)
    - Update regulatory rules for Hong Kong (HK)
    - Update regulatory rules for Philippines (PH)
    - Update regulatory rules for Egypt (EG) from March 2022 guidelines
    - Update regulatory info for Türkiye (TR)
    - Update regulatory rules for Australia (AU) for June 2023
    - Update keys and maintainer information
    - Makefile: Reproducible signatures
    - Update regulatory rules for China (CN)
    - Update regulatory rules for Japan (JP) for December 2023
    - Update regulatory rules for Singapore (SG) for September 2023
    - Update regulatory rules for Taiwan (TW) on 6GHz
  * d/upstream/signing-key.asc: Update for new upstream maintainer
  * d/tests/check-signatures: Update openssl invocation to fix warning

 -- Ben Hutchings <benh@debian.org>  Wed, 15 May 2024 17:36:34 +0200

wireless-regdb (2022.06.06-2) experimental; urgency=medium

  * d/rules: Run dh_movetousr if available

 -- Ben Hutchings <benh@debian.org>  Sat, 25 Nov 2023 14:55:48 +0000
